package com.ruoyi.project.training.spec.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专项培训计划申请对象 t_st_approve
 *
 * @author ly
 * @date 2022-04-18
 */
public class TStApprove extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long userId;

    /** 计划ids */
    @Excel(name = "计划ids")
    private String planId;

    private TStYearplan yearplan;
    /** 计划 */
    private List<TStPlan> planList;

    /** 审批类型 */
    @Excel(name = "审批类型")
    private Long approveType;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 申请状态 0:审批中 1-通过 2-拒绝 */
    @Excel(name = "申请状态 0:审批中 1-通过 2-拒绝")
    private Long status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 流程id */
    @Excel(name = "流程id")
    private String processId;

    /** 申请编号（唯一） */
    @Excel(name = "申请编号", readConverterExp = "唯=一")
    private String apNo;

    /** 删除标识 */
    private Long delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    private Long zzjl;

    public Long getZzjl() {
        return zzjl;
    }

    public void setZzjl(Long zzjl) {
        this.zzjl = zzjl;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setPlanId(String planId)
    {
        this.planId = planId;
    }

    public String getPlanId()
    {
        return planId;
    }
    public void setApproveType(Long approveType)
    {
        this.approveType = approveType;
    }

    public Long getApproveType()
    {
        return approveType;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setCreattime(Date creattime)
    {
        this.creattime = creattime;
    }

    public Date getCreattime()
    {
        return creattime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setProcessId(String processId)
    {
        this.processId = processId;
    }

    public String getProcessId()
    {
        return processId;
    }
    public void setApNo(String apNo)
    {
        this.apNo = apNo;
    }

    public String getApNo()
    {
        return apNo;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public List<TStPlan> getPlanList() {
        return planList;
    }

    public void setPlanList(List<TStPlan> planList) {
        this.planList = planList;
    }

    public TStYearplan getYearplan() {
        return yearplan;
    }

    public void setYearplan(TStYearplan yearplan) {
        this.yearplan = yearplan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("planId", getPlanId())
            .append("approveType", getApproveType())
            .append("content", getContent())
            .append("status", getStatus())
            .append("creattime", getCreattime())
            .append("endtime", getEndtime())
            .append("processId", getProcessId())
            .append("apNo", getApNo())
            .append("delFlag", getDelFlag())
            .append("deptId", getDeptId())
            .toString();
    }
}
